
CoCoALib - Feature #901

New function: PrimaryDecomposition0 in CoCoALib

27 Jun 2016 09:06 - Anna Maria Bigatti

Status: Closed Start date: 27 Jun 2016

Priority: Normal Due date:  

Assignee: Anna Maria Bigatti % Done: 100%

Category: New Function Estimated time: 11.10 hours

Target version: CoCoALib-0.99600 Spent time: 11.10 hours

Description

Convert code from CoCoA-5

Related issues:

Related to CoCoALib - Feature #900: New function: MinPoly of RingElem in quot... Closed 27 Jun 2016

Related to CoCoALib - Feature #902: New function: FrobeniusMat Closed 27 Jun 2016

Related to CoCoA-5 - Feature #731: Primary Decomposition in CoCoA-5 In Progress 11 Jun 2015

History

#1 - 27 Jun 2016 09:06 - Anna Maria Bigatti

- Related to Feature #900: New function: MinPoly of RingElem in quotient ring added

#2 - 27 Jun 2016 09:08 - Anna Maria Bigatti

- Description updated

#3 - 27 Jun 2016 09:11 - Anna Maria Bigatti

- Related to Feature #902: New function: FrobeniusMat added

#4 - 16 Sep 2016 16:17 - John Abbott

- Target version changed from CoCoALib-0.99550 spring 2017 to CoCoALib-0.99560

#5 - 02 Oct 2017 12:16 - John Abbott

- Related to Feature #731: Primary Decomposition in CoCoA-5 added

#6 - 06 Nov 2017 13:59 - John Abbott

- Target version changed from CoCoALib-0.99560 to CoCoALib-0.99600

#7 - 26 Jun 2018 00:27 - Anna Maria Bigatti

- Status changed from New to Feedback

- Assignee changed from Elisa Palezzato to Anna Maria Bigatti

- % Done changed from 0 to 90

- Estimated time set to 8.00 h

Done a long time ago, in april 2018 (for implementing factor on algebraic extensions).

#8 - 03 Aug 2018 17:40 - John Abbott

- Status changed from Feedback to Closed

- % Done changed from 90 to 100

- Estimated time changed from 8.00 h to 11.10 h
Work was done but not registered here.  Anna does not recall how many hours.
